<!doctype html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="author" content="Artom Revus">
    <meta name="description" content="Website">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>UCD Messages</title>

    
    <link href="../css/header.css" rel="stylesheet" >
    <link href="../css/messages.css" rel="stylesheet" >
</head>

<body>



<!-- Header -->



<header class="header">
    <a class="header-title" href="../html/students.html">CMS</a>
    <div class="header-buttons">
        <!-- Notifications -->
        <div class="dropdown">
            <a class="dropbtn" aria-label="Notifications" href="../html/messages.html"><img id="Notifications_img" src="../images/bell-icon.png" alt="Bell icon" height="16"></a>
            <div class="dropdown-content" id="notificationsDropdown">
                
            </div>
        </div>
        
        <!-- Profile/Settings-->
        <div class="user-icon-block">
            <div class="user-icon-img user-icon-img-unregistered" id="user-icon-img">
                <div class="user-icon-menu user-icon-menu-unregistered" id="user-icon-menu">
                    <a href="../html/auth.html">LogIn / Register</a>
                    <a href="" id="log-out-link">LogOut</a>
                </div>
            </div>
        </div>
        <div class="user-name-label"><div id="current-user-name"></div></div>
    </div>
</header>



<!-- Main -->



<main>

    

    <div class="conversations-container">

        <button type="button" class="create-new-conversation-btn" id="create-new-conversation-btn">New conversation</button>
        
        <div class="all-conversations-previews-container">
            <div class="conversations-label">Conversations:</div> <hr>
            <div class="conversations-previews" id="conversations-previews"> <!-- Conversations previews will be here --> </div>
        </div>
        
        <div class="current-conversation-container" id="current-conversation-container">
            <div class="current-conversation-messages" id="current-conversation-messages"> <!-- Messages will be here --> </div>
            <input type="text" id="message-input" placeholder="Write a message...">
            <button id="send-button">Send</button>
        </div>

    </div>

</main>





<!-- Modals -->




<div class="create-conversation-blur" id="create-conversation-blur"></div>

<div class="create-conversation-modal-container" id="create-conversation-modal-container">
    <span class="close-btn" id="close-create-conversation-modal-btn">×</span>

    <label for="conversation-name-input" class="text-input-label">Conversation name:</label>
    <input type="text" class="text-input" id="conversation-name-input">

    <div class="users-label">Users:</div> <hr>
    <div class="all-users-container">
        <div class="users-previews" id="users-previews"> <!-- Users will be here --> </div>
    </div>
</div> 

<button type="button" class="create-new-conversation-btn" id="create-new-conversation-modal-btn">Create</button>
<button type="button" class="create-new-conversation-btn" id="edit-conversation-modal-btn">Save</button>





<!-- Alerts -->



<div id="liveAlertPlaceholder"></div>





<script src="/socket.io/socket.io.js"></script>

<script type="module" src="../js/header.js"></script>
<script type="module" src="../js/messages.js"></script>

</body>

</html>